Files postgres-v5/bin/org/postgresql/jdbc2/AbstractJdbc2Connection$TransactionCommandHandler.class and postgres-clean2/bin/org/postgresql/jdbc2/AbstractJdbc2Connection$TransactionCommandHandler.class differ
Files postgres-v5/bin/org/postgresql/jdbc2/AbstractJdbc2Connection.class and postgres-clean2/bin/org/postgresql/jdbc2/AbstractJdbc2Connection.class differ
diff -ur postgres-v5/org/postgresql/jdbc2/AbstractJdbc2Connection.java postgres-clean2/org/postgresql/jdbc2/AbstractJdbc2Connection.java
--- postgres-v5/org/postgresql/jdbc2/AbstractJdbc2Connection.java	2006-11-26 13:37:51.000000000 +0200
+++ postgres-clean2/org/postgresql/jdbc2/AbstractJdbc2Connection.java	2006-11-26 13:45:09.000000000 +0200
@@ -151,6 +151,14 @@
             useBinaryForOids.set(Oid.FLOAT4);
             useBinaryForOids.set(Oid.FLOAT8);
         }        
+        // the pre 8.0 servers do not disclose their internal encoding for
+        // time fields so do not try to use them.
+        if (!haveMinimumCompatibleVersion("8.0")) {
+            useBinaryForOids.clear(Oid.TIME);
+            useBinaryForOids.clear(Oid.TIMETZ);
+            useBinaryForOids.clear(Oid.TIMESTAMP);
+            useBinaryForOids.clear(Oid.TIMESTAMPTZ);
+        }
         protoConnection.setBinaryOids(useBinaryForOids);
 
         if (logger.logDebug())
